# 59. Consulta: obtener "AsAppliedDatasets"

Obtenga todos los "AsAppliedDatasets" para el "Field" seleccionado. Los conjuntos de datos se pueden recuperar usando consultas GraphQL genéricas como `getFarms` y `getFields` desde el "Field" vinculado.&#x20;

{% hint style="warning" %}
Un "AsAppliedDataset" debe cargarse con antelación.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        name
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #detalles completos por atributo
          name #enlace a estadísticas >> atributo
          transliteratedName
          fullName #nombre legible por humanos correcto
          unit#unidades de medida
        }

        usedMachines { #máquinas utilizadas
          id
          serial
          operatorId
        } 

        createdDate #fecha y hora de creación de la entidad en GeoPard
        updatedDate #fecha y hora de la última actualización
        operationId
        operationType
        operationFileDate #fecha y hora de creación del archivo proviene de la metainformación 
        operationStartDate #inicio de la operación proviene de la metainformación
        
        statistics { #distribución estadística para cada atributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        name
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        attributes
        
        fullAttributes { #detalles completos por atributo
          name #enlace a estadísticas >> atributo
          transliteratedName
          fullName #nombre legible por humanos correcto
          unit#unidades de medida
        }

        usedMachines { #máquinas utilizadas
          id
          serial
          operatorId
        } 

        createdDate #fecha y hora de creación de la entidad en GeoPard
        updatedDate #fecha y hora de la última actualización
        operationId
        operationType
        operationFileDate #fecha y hora de creación del archivo proviene de la metainformación 
        operationStartDate #inicio de la operación proviene de la metainformación
        
        statistics { #distribución estadística para cada atributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/59.-consulta-obtener-asapplieddatasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
